DCMTK: DRTCodingSchemeIdentificationSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTCodingSchemeIdentificationSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTCodingSchemeIdentificationSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getCodingSchemeDesignator (OFString &value, const signed long pos=0) const
| get CodingSchemeDesignator (0008,0102)
OFCondition | getCodingSchemeExternalID (OFString &value, const signed long pos=0) const
| get CodingSchemeExternalID (0008,0114)
OFCondition | getCodingSchemeName (OFString &value, const signed long pos=0) const
| get CodingSchemeName (0008,0115)
OFCondition | getCodingSchemeRegistry (OFString &value, const signed long pos=0) const
| get CodingSchemeRegistry (0008,0112)
OFCondition | getCodingSchemeResponsibleOrganization (OFString &value, const signed long pos=0) const
| get CodingSchemeResponsibleOrganization (0008,0116)
OFCondition | getCodingSchemeUID (OFString &value, const signed long pos=0) const
| get CodingSchemeUID (0008,010c)
OFCondition | getCodingSchemeVersion (OFString &value, const signed long pos=0) const
| get CodingSchemeVersion (0008,0103)
DRTCodingSchemeResourcesSequence & | getCodingSchemeResourcesSequence ()
| get CodingSchemeResourcesSequence (0008,0109)
const DRTCodingSchemeResourcesSequence & | getCodingSchemeResourcesSequence () const
| get CodingSchemeResourcesSequence (0008,0109)
OFCondition | setCodingSchemeDesignator (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeDesignator (0008,0102)
OFCondition | setCodingSchemeExternalID (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeExternalID (0008,0114)
OFCondition | setCodingSchemeName (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeName (0008,0115)
OFCondition | setCodingSchemeRegistry (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeRegistry (0008,0112)
OFCondition | setCodingSchemeResponsibleOrganization (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeResponsibleOrganization (0008,0116)
OFCondition | setCodingSchemeUID (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeUID (0008,010c)
OFCondition | setCodingSchemeVersion (const OFString &value, const OFBool check=OFTrue)
| set CodingSchemeVersion (0008,0103)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmShortString | CodingSchemeDesignator
| CodingSchemeDesignator (0008,0102) vr=SH, vm=1, type=1.
DcmShortText | CodingSchemeExternalID
| CodingSchemeExternalID (0008,0114) vr=ST, vm=1, type=2C.
DcmShortText | CodingSchemeName
| CodingSchemeName (0008,0115) vr=ST, vm=1, type=3.
DcmLongString | CodingSchemeRegistry
| CodingSchemeRegistry (0008,0112) vr=LO, vm=1, type=1C.
DRTCodingSchemeResourcesSequence | CodingSchemeResourcesSequence
| CodingSchemeResourcesSequence (0008,0109) vr=SQ, vm=1, type=3.
DcmShortText | CodingSchemeResponsibleOrganization
| CodingSchemeResponsibleOrganization (0008,0116) vr=ST, vm=1, type=3.
DcmUniqueIdentifier | CodingSchemeUID
| CodingSchemeUID (0008,010c) vr=UI, vm=1, type=1C.
DcmShortString | CodingSchemeVersion
| CodingSchemeVersion (0008,0103) vr=SH, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTCodingSchemeIdentificationSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTCodingSchemeIdentificationSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getCodingSchemeDesignator()

OFCondition DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeDesignator | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeDesignator (0008,0102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodingSchemeExternalID()

OFCondition DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeExternalID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeExternalID (0008,0114)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodingSchemeName()

OFCondition DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeName (0008,0115)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodingSchemeRegistry()

OFCondition DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeRegistry | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeRegistry (0008,0112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodingSchemeResourcesSequence() [1/2]

DRTCodingSchemeResourcesSequence & DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeResourcesSequence | ( |  | ) |
| inline

get CodingSchemeResourcesSequence (0008,0109)

Returns
  reference to sequence element

References CodingSchemeResourcesSequence.

## ◆ getCodingSchemeResourcesSequence() [2/2]

const DRTCodingSchemeResourcesSequence & DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeResourcesSequence | ( |  | ) | const
| inline

get CodingSchemeResourcesSequence (0008,0109)

Returns
  const reference to sequence element

References CodingSchemeResourcesSequence.

## ◆ getCodingSchemeResponsibleOrganization()

OFCondition DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeResponsibleOrganization | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeResponsibleOrganization (0008,0116)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodingSchemeUID()

OFCondition DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeUID (0008,010c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCodingSchemeVersion()

OFCondition DRTCodingSchemeIdentificationSequence::Item::getCodingSchemeVersion | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CodingSchemeVersion (0008,0103)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTCodingSchemeIdentificationSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTCodingSchemeIdentificationSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTCodingSchemeIdentificationSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTCodingSchemeIdentificationSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeDesignator()

OFCondition DRTCodingSchemeIdentificationSequence::Item::setCodingSchemeDesignator | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeDesignator (0008,0102)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeExternalID()

OFCondition DRTCodingSchemeIdentificationSequence::Item::setCodingSchemeExternalID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeExternalID (0008,0114)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeName()

OFCondition DRTCodingSchemeIdentificationSequence::Item::setCodingSchemeName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeName (0008,0115)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeRegistry()

OFCondition DRTCodingSchemeIdentificationSequence::Item::setCodingSchemeRegistry | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeRegistry (0008,0112)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeResponsibleOrganization()

OFCondition DRTCodingSchemeIdentificationSequence::Item::setCodingSchemeResponsibleOrganization | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeResponsibleOrganization (0008,0116)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeUID()

OFCondition DRTCodingSchemeIdentificationSequence::Item::setCodingSchemeUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeUID (0008,010c)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCodingSchemeVersion()

OFCondition DRTCodingSchemeIdentificationSequence::Item::setCodingSchemeVersion | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CodingSchemeVersion (0008,0103)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTCodingSchemeIdentificationSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtcsis.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1